{: test a compilation error occurs if parameter lists are not congruous }

{$d+}
program e001( output );

type
   arrayType =   array['1'..'9'] of integer;

var
   aci, aci1 : arrayType;
   aci2      : array['1'..'9'] of integer;

   aii : array[1..9] of integer;

procedure p1(var aa1: arrayType);
begin
   aa1['1'] := 0;
end; { p1 }

procedure p2(aa1: arrayType);
var
   z   : char;
begin
   z := '3';
   aa1[z] := 3;
   aa1['8'] := 3;
end;

procedure test( procedure p(var aa1: arrayType ) );
begin
   p(aci);
end; { test }

begin {e001}

   test(p1);    { OK }
   test(p2);    { !!! array is a var parameter }
   writeln( 'fails: var parameter error not detected' );

end. { e001 }

